import api from "src/api";

export const getHolidays = async () => {
  const { data } = await api.get("/franchisee/dashboard/holidays");
  return data.payload;
};

export const createHoliday = async (holiday) => {
  const { data } = await api.post("/franchisee/dashboard/holidays", holiday);
  return data.payload;
};

export const updateHoliday = async (holiday, id) => {
  const { data } = await api.put(`/franchisee/dashboard/holidays/${id}`, holiday);
  return data.payload;
};

export const deleteHoliday = async (id) => {
  const { data } = await api.delete(`/franchisee/dashboard/holidays/${id}`);
  return data.payload;
};
